Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jorphan.math
Class StatCalculatorLong

    java.lang.Object
      org.apache.jorphan.math.StatCalculator<Long>
          org.apache.jorphan.math.StatCalculatorLong

    public class StatCalculatorLong

extends StatCalculator<Long>

StatCalculator for Long values

Constructor Summary
`StatCalculatorLong()`

Method Summary
`void` | `addValue(long val)`
`void` | `addValue(long val, int sampleCount)`
`protected Long` | `divide(Long val, int n)`

Methods inherited from class org.apache.jorphan.math.StatCalculator
`addAll, addBytes, addValue, addValue, clear, getCount, getDistribution, getMax, getMean, getMedian, getMin, getPercentPoint, getPercentPoint, getStandardDeviation, getTotalBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatCalculatorLong

    public StatCalculatorLong()

Method Detail

### addValue

    public void addValue(long val)

### addValue

    public void addValue(long val,
                         int sampleCount)

### divide

    protected Long divide(Long val,
                          int n)

  Specified by:
    `divide` in class `StatCalculator<Long>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.